<script>
    import { line } from 'd3';
    export let plotElement;
    export let data;
    export let xScale;
    export let yScale;

    const lineFunction = function(data, xScale, yScale, parameter) {
        return line()
            .defined(d => !isNaN(d[parameter]))
            .x((d) => xScale(d.time))
            .y((d) => yScale(d[parameter]))(data)
    }

</script>
{#await data}
{:then datapoints}
{#if datapoints}
    <path d={lineFunction(datapoints,xScale,yScale,plotElement.parameter)}
          stroke={plotElement.plot_options['stroke']}
          stroke-width={plotElement.plot_options['stroke-width']}
          stroke-opacity={plotElement.plot_options['stroke-opacity']}
          fill="none"/>
{/if}
{/await}

<style>

</style>
